"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var memoryLockService_1 = require("../service/memoryLockService");
exports.MemoryLockService = memoryLockService_1.MemoryLockService;
var mongodbService_1 = require("../service/mongodbService");
exports.MongodbService = mongodbService_1.MongodbService;
var expressService_1 = require("../service/expressService");
exports.ExpressService = expressService_1.ExpressService;
var routeSessionService_1 = require("../service/routeSessionService");
exports.RouteSessionService = routeSessionService_1.RouteSessionService;
var ttlSessionStorage_1 = require("../service/ttlSessionStorage");
exports.TTLSessionStorage = ttlSessionStorage_1.TTLSessionStorage;
var incrementalIdService_1 = require("../service/incrementalIdService");
exports.IncrementalIdService = incrementalIdService_1.IncrementalIdService;
var page_default_1 = require("../route/page.default");
exports.DefaultPageService = page_default_1.DefaultPageService;
var uploadService_1 = require("../service/uploadService");
exports.UploadService = uploadService_1.UploadService;
var blobService_1 = require("../service/blobService");
exports.BlobService = blobService_1.BlobService;
var keyValueStorage_1 = require("../service/keyValueStorage");
exports.KeyValueStorage = keyValueStorage_1.KeyValueStorage;
var mailService_1 = require("../service/mailService");
exports.MailService = mailService_1.MailService;
var persistentService_1 = require("../service/persistentService");
exports.PersistentService = persistentService_1.PersistentService;
var gracefulShutdownService_1 = require("../service/gracefulShutdownService");
exports.GracefulShutdownService = gracefulShutdownService_1.GracefulShutdownService;
function register(cons, name) {
    if (name === void 0) { name = cons["name"]; }
    if (!name) {
        throw new Error("Fail to register");
    }
    module.exports[name] = cons;
}
exports.register = register;
//# sourceMappingURL=builtInService.js.map