"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var route_1 = require("../lib/route");
var RouteService = /** @class */ (function (_super) {
    __extends(RouteService, _super);
    function RouteService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.dependencies = ["ExpressService", "MongodbService", "RouteSessionService"];
        return _this;
    }
    return RouteService;
}(route_1.RouteServiceTemplate));
exports.RouteService = RouteService;
var AccountAPIServiceSpec;
(function (AccountAPIServiceSpec) {
    AccountAPIServiceSpec.prefix = "/api/";
    AccountAPIServiceSpec.name = "api.account";
    AccountAPIServiceSpec.API = {
        getCurrentAccount: new /** @class */ (function (_super) {
            __extends(class_1, _super);
            function class_1() {
                var _this = _super !== null && _super.apply(this, arguments) || this;
                _this.method = "POST";
                _this.path = "account/me/GET";
                return _this;
            }
            return class_1;
        }(route_1.APIBase)),
        webLoginStandard: new /** @class */ (function (_super) {
            __extends(class_2, _super);
            function class_2() {
                var _this = _super !== null && _super.apply(this, arguments) || this;
                _this.method = "POST";
                _this.path = "account/authentication/standard/GET";
                return _this;
            }
            return class_2;
        }(route_1.APIBase)),
        getTokenStandard: new /** @class */ (function (_super) {
            __extends(class_3, _super);
            function class_3() {
                var _this = _super !== null && _super.apply(this, arguments) || this;
                _this.method = "POST";
                _this.path = "account/authentication/standard/token/GET";
                return _this;
            }
            return class_3;
        }(route_1.APIBase)),
        // Creating a account will also create default workspace for him
        registerStandard: new /** @class */ (function (_super) {
            __extends(class_4, _super);
            function class_4() {
                var _this = _super !== null && _super.apply(this, arguments) || this;
                _this.method = "POST";
                _this.path = "account/authentication/standard";
                return _this;
            }
            return class_4;
        }(route_1.APIBase)),
    };
})(AccountAPIServiceSpec = exports.AccountAPIServiceSpec || (exports.AccountAPIServiceSpec = {}));
var AccountAPIService = /** @class */ (function (_super) {
    __extends(AccountAPIService, _super);
    function AccountAPIService() {
        var _this = _super.call(this, AccountAPIServiceSpec) || this;
        _this.name = "api.account";
        _this.dependencies = _this.dependencies.concat(["AccountService", "AuthenticationService", "TTLSessionStorage"]);
        return _this;
    }
    return AccountAPIService;
}(RouteService));
exports.AccountAPIService = AccountAPIService;
//# sourceMappingURL=route.js.map